Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class InvokerProxyBindingMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.InvokerProxyBindingMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class InvokerProxyBindingMetaData
extends MetaData

The configuration information for invoker-proxy bindingss that may be tied to a EJB container.

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`InvokerProxyBindingMetaData(String name)`

Method Summary
`String` | `getInvokerMBean()` Get the detached invoker MBean service name associated with the proxy
`String` | `getName()` Get the unique name of the invoker proxy binding
`String` | `getProxyFactory()` Get the class name of the org.jboss.ejb.EJBProxyFactory implementation used to create proxies for this configuration
`Element` | `getProxyFactoryConfig()` An arbitary configuration to pass to the EJBProxyFactory implementation
`void` | `importJbossXml(Element element)` Import the jboss.xml jboss/invoker-proxy-bindings/invoker-proxy-binding child elements

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importEjbJarXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerProxyBindingMetaData

    public InvokerProxyBindingMetaData(String name)

Method Detail

### getName

    public String getName()

  Get the unique name of the invoker proxy binding

### getInvokerMBean

    public String getInvokerMBean()

  Get the detached invoker MBean service name associated with the proxy

### getProxyFactory

    public String getProxyFactory()

  Get the class name of the org.jboss.ejb.EJBProxyFactory implementation used to create proxies for this configuration

### getProxyFactoryConfig

    public Element getProxyFactoryConfig()

  An arbitary configuration to pass to the EJBProxyFactory implementation

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Import the jboss.xml jboss/invoker-proxy-bindings/invoker-proxy-binding child elements

  Overrides:
    `importJbossXml` in class `MetaData`
  Parameters:
    `element` - jboss/invoker-proxy-bindings/invoker-proxy-binding
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.